RDKit: RDFeatures::ExplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDFeatures::ExplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE > Class Template Reference

`#include <Feature.h>`

## Public Member Functions
| ExplicitFeature ()
| ExplicitFeature (const FAMILYMARKER &f, const TYPEMARKER &t)
| ExplicitFeature (const FAMILYMARKER &f, const TYPEMARKER &t, const LOCTYPE &loc)
const FAMILYMARKER & | getFamily () const
void | setFamily (const FAMILYMARKER &f)
const TYPEMARKER & | getType () const
void | setType (const TYPEMARKER &t)
const LOCTYPE & | getLoc () const
void | setLoc (const LOCTYPE &loc)
const std::vector< LOCTYPE > & | getDirs () const
std::vector< LOCTYPE > & | getDirs ()

## Detailed Description

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>
class RDFeatures::ExplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >

Definition at line 20 of file Feature.h.

## Constructor & Destructor Documentation

## ◆ ExplicitFeature() [1/3]

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

RDFeatures::ExplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::ExplicitFeature | ( |  | ) |
| inline

Definition at line 22 of file Feature.h.

## ◆ ExplicitFeature() [2/3]

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

RDFeatures::ExplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::ExplicitFeature | ( | const FAMILYMARKER & | f,
|  | const TYPEMARKER & | t )
| inlineexplicit

Definition at line 23 of file Feature.h.

## ◆ ExplicitFeature() [3/3]

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

RDFeatures::ExplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::ExplicitFeature | ( | const FAMILYMARKER & | f,
|  | const TYPEMARKER & | t,
|  | const LOCTYPE & | loc )
| inline

Definition at line 25 of file Feature.h.

## Member Function Documentation

## ◆ getDirs() [1/2]

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

std::vector< LOCTYPE > & RDFeatures::ExplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::getDirs | ( |  | ) |
| inline

Definition at line 39 of file Feature.h.

## ◆ getDirs() [2/2]

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

const std::vector< LOCTYPE > & RDFeatures::ExplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::getDirs | ( |  | ) | const
| inline

Definition at line 38 of file Feature.h.

## ◆ getFamily()

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

const FAMILYMARKER & RDFeatures::ExplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::getFamily | ( |  | ) | const
| inline

Definition at line 29 of file Feature.h.

## ◆ getLoc()

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

const LOCTYPE & RDFeatures::ExplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::getLoc | ( |  | ) | const
| inline

Definition at line 35 of file Feature.h.

## ◆ getType()

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

const TYPEMARKER & RDFeatures::ExplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::getType | ( |  | ) | const
| inline

Definition at line 32 of file Feature.h.

## ◆ setFamily()

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

void RDFeatures::ExplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::setFamily | ( | const FAMILYMARKER & | f | ) |
| inline

Definition at line 30 of file Feature.h.

## ◆ setLoc()

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

void RDFeatures::ExplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::setLoc | ( | const LOCTYPE & | loc | ) |
| inline

Definition at line 36 of file Feature.h.

## ◆ setType()

template<typename FAMILYMARKER, typename TYPEMARKER = FAMILYMARKER, typename LOCTYPE = RDGeom::Point3D>

void RDFeatures::ExplicitFeature< FAMILYMARKER, TYPEMARKER, LOCTYPE >::setType | ( | const TYPEMARKER & | t | ) |
| inline

Definition at line 33 of file Feature.h.

The documentation for this class was generated from the following file:

- Feature.h